#!/usr/bin/env python

import os

# List of infeasible LPs.
lps = [
       'lpi-bgdbg1',
       'lpi-bgetam',
#      'lpi-bgindy',    # CPLEX failed.
       'lpi-bgprtr',
       'lpi-box1',
       'lpi-ceria3d',
       'lpi-chemcom',
       'lpi-cplex1',
#      'lpi-cplex2',    # CPLEX failed.  
       'lpi-ex72a',
       'lpi-ex73a',
       'lpi-forest6',
       'lpi-galenet',
       'lpi-gosh',
#      'lpi-gran',      # CPLEX reports 302
       'lpi-greenbea',
       'lpi-itest2',
       'lpi-itest6',
#      'lpi-klein1',    # CPLEX reports error.
#      'lpi-klein2',    # CPLEX reports 302
#      'lpi-klein3',    # CPLEX reports 100
       'lpi-mondou2',   
       'lpi-pang',
       'lpi-pilot4i',
#      'lpi-qual',      # CPLEX reports error.
       'lpi-reactor',
#      'lpi-refinery',  # CPLEX reports 100
#      'lpi-vol1',      # CPLEX reports error.
       'lpi-woodinfe'
      ]

for prob in lps:
    print "\n======================================\n"
    print "Running problem %s" % prob
    print "\n======================================\n"
    os.system("sed -e 's/FNAME/%s/g' lp_infeas.mod | ampl" % prob)
